package org.glite.authz.pep.obligation.eesmap;

import org.glite.authz.pep.obligation.IniOHConfigurationParser;
import org.glite.authz.pep.obligation.ObligationHandler;
import org.glite.authz.pep.obligation.ObligationProcessingException;
import org.glite.authz.common.config.AbstractConfigurationBuilder;
import org.glite.authz.common.config.ConfigurationException;
import org.glite.authz.common.config.IniConfigUtil;
import org.glite.authz.common.model.Request;
import org.glite.authz.common.model.Result;
import org.ini4j.Ini.Section;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;


public class EESObligationHandlerConfigurationParser implements IniOHConfigurationParser {

	/**
	 * The name of the {@value} property which gives the absolute path to the mapping file that maps subjects to groups.
	 */
	public static final String ENDPOINT = "endPoint";
	
	/** Class logger. */
    private final Logger log = LoggerFactory.getLogger(EESObligationHandlerConfigurationParser.class);

	public ObligationHandler parse(Section iniConfig, AbstractConfigurationBuilder<?> configBuilder)
    throws ConfigurationException {
		String endPoint = IniConfigUtil.getString(iniConfig, ENDPOINT);
        log.info("EES Obligations sent to endpoint: {}", endPoint);
        log.info("Starting new EES OH");
		return new EESObligationHandler(endPoint);
	}
}
